--[[
@title OriginalPlusCurve
@param a Am Ende Curve 0=AUS 1=EIN
@default a 0
@param d AmEnde ExitAlt 0=no 1=yes
@default d 0
@param e Ausloeseverzoeg. [Sek.]
@default e 1
@param b Sleep nach 1. Foto [Sek.]
@default b 1
@param c Sleep nach 2. Foto [Sek.]
@default c 6


rem 12.Nov.2009 by Sinter

rem Dieses Skript erstellt hintereinander zwei Aufnahmen.
rem Zuerst ein unverflschtes Originalbild OHNE Curvenutzung
rem und im Anschluss daran eine
rem Aufnahme mittels Curvenutzung. Die zu nutzende Curve muss
rem zuvor manuell geladen sein.
rem Das Skript ist also ZWINGEND auf eine zuvor geladene 
rem Curve angewiesen.
rem Der User kann vorab whlen, ob bei BEENDIGUNG des Skripts
rem die Curve AKTIVIERT oder DEAKTIVIERT werden soll.
]]


 
-- Plausibilittsprfung der Curvestatus-Flag bei Beendigung des Skripts
if a<0 	then a=0 end
if a>1 	then a=1 end


-- Plausibilittsprfung der ExitAlt-Flag bei Beendigung des Skripts
if d<0 	then d=0 end
if d>1 	then d=1 end

-- Plausibilittsprfung der Ausloeseverzoegerung
if e<0 	then e=0 end


-- Plausibilittsprfung mit derzeit noch experimentellen Grenzwerten
-- fuer die Pausendauer nach der jeweiligen Aufnahme
if b<1 	then b=1 end
if b>40	then b=40 end

if c<1 	then c=1 end
if c>40	then c=40 end


-- SleepdauerSekunden u Ausloeseverzoeg. umrechnen in LUA-Parameter
b=b*1000
c=c*1000
e=e*1000


sleep(e)

-- Erstes (Original-)Foto OHNE Curvenutzung anfertigen

set_curve_state(0)
set_raw_nr(0) -- noise_reduction=AUTO

press "shoot_half"
        repeat
              until get_shooting() == true
        press   "shoot_full"
        release "shoot_full"
        release "shoot_half"
        sleep(b)  -- Frage: Welcher Wert kann hier minimal stehen???



-- Ein Zweites Foto, diesmal MIT Curvenutzung anfertigen

set_curve_state(1)
set_raw_nr(2) -- noise_reduction=ON

press "shoot_half"
        repeat
              until get_shooting() == true
        press   "shoot_full"
        release "shoot_full"
        release "shoot_half"
        sleep(c)  -- Frage: So lang wie die Curveentwicklung braucht???


  if a == 0 then -- CurveState abschalten
                set_curve_state(0)
                set_raw_nr(0) -- noise_reduction=AUTO
                print("Originalfoto plus")
                print ("Curvefoto erstellt.")
                print("Curve nun AUSgeschaltet!")
  end


  if a == 1 then -- CurveState einschalten
                set_curve_state(1)
                set_raw_nr(2) -- noise_reduction=ON
                print("Original plus")
                print ("Curvefoto erstellt.")
                print("Curve nun EINgeschaltet!")
  end



if d == 1 then -- Bei Beendigung des Skriptes den ALT-Modus verlassen
                exit_alt()
end

